Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 1494172 - RHEL-7.5 should NOT contain any permissive domains
RHEL-7.5 should NOT contain any permissive domains
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: selinux-policy (Show other bugs)
7.5
All Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: Lukas Vrabec
Milos Malik
Mirek Jahoda
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-09-21 11:05 EDT by Lukas Vrabec
Modified: 2018-04-10 08:44 EDT (History)
8 users (show)

See Also:
Fixed In Version: selinux-policy-3.13.1-174.el7
Doc Type: Enhancement
Doc Text:
_selinux-policy_ no longer contains permissive domains As a security hardening measure, the *SELinux* policy now does not set the following domains to permissive mode by default: * blkmapd_t * hsqldb_t * ipmievd_t * sanlk_resetd_t * systemd_hwdb_t * targetd_t The default mode for these domains is now set to enforcing.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-04-10 08:43:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Article) 3398551 None None None 2018-04-09 07:16 EDT
Red Hat Product Errata RHBA-2018:0763 None None None 2018-04-10 08:44 EDT

  None (edit)
Description Lukas Vrabec 2017-09-21 11:05:03 EDT
$ cat permissivedomains.cil 
(roleattributeset cil_gen_require system_r)
(optional permissivedomains_optional_2
    (typeattributeset cil_gen_require blkmapd_t)
    (typepermissive blkmapd_t)
)
(optional permissivedomains_optional_3
    (typeattributeset cil_gen_require hsqldb_t)
    (typepermissive hsqldb_t)
)
(optional permissivedomains_optional_4
    (typeattributeset cil_gen_require ipmievd_t)
    (typepermissive ipmievd_t)
)
(optional permissivedomains_optional_5
    (typeattributeset cil_gen_require targetd_t)
    (typepermissive targetd_t)
)
(optional permissivedomains_optional_6
    (typeattributeset cil_gen_require systemd_hwdb_t)
    (typepermissive systemd_hwdb_t)
)
(optional permissivedomains_optional_7
    (typeattributeset cil_gen_require sanlk_resetd_t)
    (typepermissive sanlk_resetd_t)
)

Permissivedomain.cil file should be empty.
Comment 7 errata-xmlrpc 2018-04-10 08:43:43 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0763

Note You need to log in before you can comment on or make changes to this bug.